Subject: Re: linux-next: duplicate patch in the mm-nonmm-stable tree

From: Andrew Morton <[email-masked]>
Date: Mon, 20 Feb 2023 16:29:12 -0800

On Tue, 21 Feb 2023 10:45:29 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> On Mon, 20 Feb 2023 15:12:11 -0800 Andrew Morton <[email-masked]> wrote:
> >
> > On Tue, 21 Feb 2023 09:08:27 +1100 Stephen Rothwell <[email-masked]> wrote:
> > 
> > > The following commit is also in Linus Torvalds' tree as a different commit
> > > (but the same patch):
> > > 
> > >   bf470202dd9f ("fs: gracefully handle ->get_block not mapping bh in __mpage_writepage")  
> > 
> > CommitDate: Thu Feb 2 22:50:07 2023 -0800
> > 
> > > This is commit
> > > 
> > >   7010839ccfd4 ("fs: gracefully handle ->get_block not mapping bh in __mpage_writepage")
> > > 
> > > in Linus' tree.  
> > 
> > CommitDate: Thu Jan 26 16:46:35 2023 +0100
> > 
> > 
> > So I'm wondering why this came to light on Feb 20?
> 
> Sorry about that, but I wouldn't worry about it too much as it doesn't
> seem to be causing a conflict.
> 
> The latter commit was in the ext3 tree before being merged by Linus and
> I guess I missed it initially because sometimes the check for
> duplicates in the mm tree produces a longish list when the mm tree is
> updated during the day and the mm-hotfixes tree has already been merged
> (and gets rebased as part of the mm tree rebase).
> 
> It would have been put in the list of things to ignore until it turned
> up in Linus's tree today (which is an earlier and check and has a
> separate ignore list).
> 

I see, thanks.

Can you please remind me at what times you pull the trees?  I believe
it's more than once per day?  I'll look at redoing my schedule so we
don't overlap.